Subject: Binary file-friendly merge -Xours or -Xtheirs?

From: Stephen Bash <[email-masked]>
Date: Fri, 7 Sep 2012 10:48:48 -0400 (EDT)

Hi all-

Helping a coworker resolve merge conflicts today I found I wanted a -Xtheirs that completely replaces conflicted binary files with the copy from the incoming branch.  In other words rather than doing

  $ git merge maint
  ... conflicts occur ...
  $ git checkout --theirs -- path/to/binary-file
  $ git add path/to/binary-file
  $ git commit

I'd like to do

  $ git merge -Xbinary_theirs maint
  ... binary conflicts are resolved automatically ...

>>From reading the docs it's obvious the current -Xours and -Xtheirs expect to work on hunks, so I (mostly) understand the current behavior, but as a user it feels like "I'm telling you how to resolve conflicts, please do the same thing for binary files".

I am missing a solution that already exists?  Or is this perhaps an improvement that could be made?

Thanks,
Stephen